
Redmine - Feature #4423

Suppress New Issue if no tracker is selected

2009-12-16 19:36 - Geordee Naliyath

Status: Closed Start date: 2009-12-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently I use a master project with many subprojects to track multiple streams in a project. I do not want issues to be entered in the

master project, and disabled all the trackers. Now I get the error "No tracker is associated to this project. Please check the Project

settings".

When I click New Issue from the menu. I would rather hide the menu item "New Issue" if no trackers are selected in "Settings". In

such case, I will be able to roll up the issues to master project, and the menu bar will look much cleaner.

Related issues:

Related to Redmine - Feature #6204: Make the "New issue" menu item optional Closed 2010-08-25

Has duplicate Redmine - Defect #6533: Disable "New Issue" Tab when no tracker... Closed 2010-09-29

Is duplicate of Redmine - Feature #18571: Tab "New Issue" should not be displ... Closed

History

#1 - 2009-12-18 21:31 - Jean-Philippe Lang

Well, that would cost one more SQL query to display the menu...

#2 - 2010-09-29 17:26 - Terence Mill

+1

#3 - 2015-07-29 02:45 - Mischa The Evil

- Status changed from New to Closed

This was fixed in Redmine 3.0.0 via superceding issue #18571.

#4 - 2015-07-29 02:51 - Mischa The Evil

- Is duplicate of Feature #18571: Tab "New Issue" should not be displayed if a project has no trackers added
